unit CMain;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs,
  FMX.Controls.Presentation, FMX.StdCtrls;

type
  TFormMain = class(TForm)
    Button1: TButton;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    procedure DisplayFormAtMonitor(i:Integer);
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormMain: TFormMain;

implementation

{$R *.fmx}

procedure TFormMain.Button1Click(Sender: TObject);
begin
  DisplayFormAtMonitor(0);
end;

procedure TFormMain.Button2Click(Sender: TObject);
begin
  DisplayFormAtMonitor(1);
end;

procedure TFormMain.DisplayFormAtMonitor(i:Integer);
var
  AForm: TFormMain;
begin
  //
  AForm := TFormMain.Create(nil);
  try
    AForm.Bounds := Screen.Displays[i].BoundsRect;
    AForm.ShowModal;
  finally
    AForm.Free;
  end;
end;

end.
